3

Problem:

I have a ESP32 and I've been trying to flash it with the Arduino IDE, however it's been giving me Python error messages :/ when I'm trying C/C++ code to flash the Arduino.

Question:

How can I setup the board below so I can flashi it with C/C++ from the Arduino IDE?

Error Message:

  [6909] Error loading Python lib '/var/folders/wm/_tds7_0s6_j9587rbm54nfv00000gn/T/_MEIli4AzL/libpython3.8.dylib': dlopen: dlopen(/var/folders/wm/_tds7_0s6_j9587rbm54nfv00000gn/T/_MEIli4AzL/libpython3.8.dylib, 10): Symbol not found: ____chkstk_darwin
  Referenced from: /var/folders/wm/_tds7_0s6_j9587rbm54nfv00000gn/T/_MEIli4AzL/libintl.8.dylib (which was built for Mac OS X 11.0)
  Expected in: /usr/lib/libSystem.B.dylib
  in /var/folders/wm/_tds7_0s6_j9587rbm54nfv00000gn/T/_MEIli4AzL/libintl.8.dylib

  exit status 255

  Compilation error: exit status 255

ESP32:

enter image description here

References Used/Due Diligence:

Version Numbers:

  • MAC OS Version: macOS High Sierra Version 10.13.6

  • Arduino Version: Version 2.0.4-nightly-20230119 CLI Version: 0.29.0

5
  • The error message says "...Mac OS X 11.0...". Is that the version of OS X you are using? Can you tell us what version of the IDE you are using?
    – VE7JRO
    Commented Feb 13, 2023 at 2:40
  • Appended into the Question: macOS High Sierra Version 10.13.6; Arduino Version: Version 2.0.4-nightly-20230119 and CLI Version: 0.29.0
    – 3kstc
    Commented Feb 13, 2023 at 2:59
  • @VE7JRO I've updated the question with the version numbers.
    – 3kstc
    Commented Feb 13, 2023 at 8:04
  • And what do you conclude? The library was built for 11.0 but you have 10.13... Did you try to use a version of the Arduino IDE for your OS? Commented Feb 13, 2023 at 8:46
  • You might want to re-read the referenced tutorials. Disclaimer: I don't have a Mac and no ESP32 at hand, but know a bit about general computer science and used the Arduino IDE for different targets. Commented Feb 13, 2023 at 9:30

1 Answer 1

1

I don't have Mac but I am working on Linux and I also had issues with Arduino IDE v2 (in the past). Because of this I'm still using IDE v1 with no issues and that's my suggestion: try older version of the IDE on your mac, you can still download it. If it won't work you can turn to PlatformIO or VSCode IDEs.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.